;-----------------------------------------------------------------------------
; TNKernel LP real-time kernel
;
; Copyright  2004,2008 Yuri Tiomkin
; All rights reserved.
;
; Permission to use, copy, modify, and distribute this software in source
; and binary forms and its documentation for any purpose and without fee
; is hereby granted, provided that the above copyright notice appear
; in all copies and that both that copyright notice and this permission
; notice appear in supporting documentation.
;
; THIS SOFTWARE IS PROVIDED BY THE YURI TIOMKIN AND CONTRIBUTORS ``AS IS'' AND
; ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
; IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
; ARE DISCLAIMED. IN NO EVENT SHALL YURI TIOMKIN OR CONTRIBUTORS BE LIABLE
; FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
; DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
; OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
; HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
; LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
; OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
; SUCH DAMAGE.
;-----------------------------------------------------------------------------

;-- ver 2.5 LP

;--  Freescale CodeWarrior HCS08 assembler

  ;-- External references

        xref    _EntryPoint
        xref    tn_switch_context_ex
        xref    tn_int_source
        xref    tn_cpu_isr

  ;-- Public functions declared in this file

        xdef    Vtpm1ovf_isr
        xdef    Vrti_isr
        xdef    Vkeyboard1_isr
        
  ;--- Constants

INT_TIMER1:     equ   $1      ;-- Active int ID - OS tick timer
INT_RTI:        equ   $2      ;-- Active int ID - RTI wakeup
INT_KBI:        equ   $3      ;-- Active int ID - KBI wakeup
;-----------------------------------------------------------------------------
;
;-----------------------------------------------------------------------------
Vtpm1ovf_isr:
        lda    #INT_TIMER1
        bra    int_entry
Vrti_isr:
        lda    #INT_RTI
        bra    int_entry
Vkeyboard1_isr:
        lda    #INT_KBI
        bra    int_entry
        
int_entry:
        
        sta    tn_int_source
        jmp    tn_cpu_isr
        rti                   ;-- never reached



;-----------------------------------------------------------------------------

  ;--- Interrupt vector table

ISR_IN_RAM:      EQU     $100           ;-- Base addr int vector relocation
                                        ;-- table in RAM

        ORG     $FFCC                   ;-- Interrupt vector table in FLASH
_vect:          
        DC.W    ISR_IN_RAM              ;-- Int.no.  0 Vrti       (at FFCC)
        DC.W    ISR_IN_RAM + 3          ;-- Int.no.  1 Viic1      (at FFCE)
        DC.W    ISR_IN_RAM + 6          ;-- Int.no.  2 Vatd1      (at FFD0)
        DC.W    ISR_IN_RAM + 9          ;-- Int.no.  3 Vkeyboard1 (at FFD2)
        DC.W    ISR_IN_RAM + 12         ;-- Int.no.  4 Vsci2tx    (at FFD4)
        DC.W    ISR_IN_RAM + 15         ;-- Int.no.  5 Vsci2rx    (at FFD6)
        DC.W    ISR_IN_RAM + 18         ;-- Int.no.  6 Vsci2err   (at FFD8)
        DC.W    ISR_IN_RAM + 21         ;-- Int.no.  7 Vsci1tx    (at FFDA)
        DC.W    ISR_IN_RAM + 24         ;-- Int.no.  8 Vsci1rx    (at FFDC)
        DC.W    ISR_IN_RAM + 27         ;-- Int.no.  9 Vsci1err   (at FFDE)
        DC.W    ISR_IN_RAM + 30         ;-- Int.no. 10 Vspi1      (at FFE0)
        DC.W    ISR_IN_RAM + 33         ;-- Int.no. 11 Vtpm2ovf   (at FFE2)
        DC.W    ISR_IN_RAM + 36         ;-- Int.no. 12 Vtpm2ch4   (at FFE4)
        DC.W    ISR_IN_RAM + 39         ;-- Int.no. 13 Vtpm2ch3   (at FFE6)
        DC.W    ISR_IN_RAM + 42         ;-- Int.no. 14 Vtpm2ch2   (at FFE8)
        DC.W    ISR_IN_RAM + 45         ;-- Int.no. 15 Vtpm2ch1   (at FFEA)
        DC.W    ISR_IN_RAM + 48         ;-- Int.no. 16 Vtpm2ch0   (at FFEC)
        DC.W    ISR_IN_RAM + 51         ;-- Int.no. 17 Vtpm1ovf   (at FFEE)
        DC.W    ISR_IN_RAM + 54         ;-- Int.no. 18 Vtpm1ch2   (at FFF0)
        DC.W    ISR_IN_RAM + 57         ;-- Int.no. 19 Vtpm1ch1   (at FFF2)
        DC.W    ISR_IN_RAM + 60         ;-- Int.no. 20 Vtpm1ch0   (at FFF4)
        DC.W    ISR_IN_RAM + 63         ;-- Int.no. 21 Vicg       (at FFF6)
        DC.W    ISR_IN_RAM + 66         ;-- Int.no. 22 Vlvd       (at FFF8)
        DC.W    ISR_IN_RAM + 69         ;-- Int.no. 23 Virq       (at FFFA)
        DC.W    ISR_IN_RAM + 72         ;-- Int.no. 24 Vswi       (at FFFC)
        DC.W    _EntryPoint             ;-- Int.no. 25 Vreset     (at FFFE)


