#ifndef _UTILS_H_
#define _UTILS_H_

void HardwareInit(void);


//----------------- T3 -------------------------------------------------------

      //--- LEDs

#define  LED1_MASK        (1<<6)   //-- LED1, Port B
#define  LED2_MASK        (1<<7)   //-- LED2, Port B

      //--- PTA - Buttons, etc

#define  MASK_MOTION      (1<<7)   //-- PTA7
#define  MASK_BUTTON1     (1<<6)   //-- PTA6
#define  MASK_BUTTON2     (1<<5)   //-- PTA5
#define  MASK_EMERG       (1<<4)   //-- PTA4
#define  MASK_PXHP_O      (1<<3)   //-- PTA3
#define  MASK_TEMP_O      (1<<2)   //-- PTA2
#define  MASK_CPLDG       (1<<1)   //-- PTA1
#define  MASK_PROGEN          1    //-- PTA0


typedef struct _BTNSTATE
{
   unsigned char btn_mask;
   unsigned char state;
   unsigned char cnt;

}tBTNSTATE;

typedef struct _MOTIONSTATE
{
   unsigned char btn_mask;
   unsigned char state;
   unsigned char cnt;
   unsigned char status;
     signed char integrator;

}tMOTIONSTATE;



#define  BTN_STATE_WAIT_INT        1
#define  BTN_STATE_CHK_PRESSED     2
#define  BTN_STATE_PRESSED         3
#define  BTN_CHK_RELEASED          4
#define  BTN_CHK_RELEASED1         5

#define  BTN_CNT_2S               32 //64  //-- 2048/32 = 64

#define  BTN_BELOW_2S              1
#define  BTN_ABOVE_2S              2



#define  MTN_STATE_WAIT_INT        5
#define  MTN_STATE_INT_DETECTED    6
#define  MTN_STATE_PAUSE           7

#define  MTN_NO_MOTION             1
#define  MTN_MOTION                2

#define  MTN_PAUSE_VALUE           8    // 256/32 = 8

#define  MTN_STEP_UP               5
#define  MTN_STEP_DOWN             1
#define  MTN_TRESHOLD             25


//--- utils.h

void  processingButtons(tBTNSTATE * pbs);
void  processingEmergBtn(tBTNSTATE * pbs);
void  processingMotion(tMOTIONSTATE * pms);

#endif
