/*
TNKernel LP real-time kernel - examples

Copyright  2004,2008 Yuri Tiomkin
All rights reserved.

Permission to use, copy, modify, and distribute this software in source
and binary forms and its documentation for any purpose and without fee
is hereby granted, provided that the above copyright notice appear
in all copies and that both that copyright notice and this permission
notice appear in supporting documentation.

THIS SOFTWARE IS PROVIDED BY THE YURI TIOMKIN AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL YURI TIOMKIN OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
*/


#include "../MC9S08GT60A.h"

/* ===== This file is valid for Freescale CodeWarrior only ==== */


extern void _Startup(void);

//----------------------------------------------------------------------------
//  Hardware init immediately after reset - only the first priotity operations
//  Most of hardware init are placed in func HardwareInit().
//----------------------------------------------------------------------------
#pragma NO_FRAME
#pragma NO_EXIT
void _EntryPoint(void)
{
  //-- Common initialization of the write once registers

  //-- Bit 7(COPE)=0  COP watchdog timer disabled.
  //-- Bit 6(COPT)=1  Long timeout period selected for COP(2^18 cycles of BUSCLK).
  //-- Bit 5(STOPE)=1 Stop Mode Enabled
  //-- Bit 1(BKGDPE)=1 BKGDebug pin enabled.
  //-- Other bits - don't care

   SOPT = (1<<6) | (1<<5) |(1<<1);

//	SOPT = 0xE2; //COPE|COPT|STOPE|BKGDPE
//	SOPT = 0x62; //COPT|STOPE|BKGDPE - Disable Watch Dog

  //-- Bit 7(LVDF)=0 Low-Voltage Detect Flag - is used later
  //-- Bit 6(LVDACK)=1 Request a hardware interrupt when LVDF = 1.
  //-- Bit 5(LVDIE)=0
  //-- Bit 4(LVDRE)=1 LVDF generates hardware resets.
  //-- Bit 3(LVDSE)=0 Low-voltage detect disabled during stop mode.
  //-- Bit 2(LVDE)=1  LVD logic enabled.

   SPMSC1 = 0x04;

  //-- Bit 7(LVWF)=0 Low voltage warning not present.
  //-- Bit 6(LVWACK)=0 (Rd)
  //-- Bit 5(LVDV)=0 Low trip point selected (VLVD = VLVDL).
  //-- Bit 4(LVWV)=0 Low trip point selected (VLVW = VLVWL).
  //-- Bit 3(PPDF)=0 Not stop2 mode recovery.
  //-- Bit 2(PPDACK)=0  Writing a 1 to PPDACK clears the PPDF bit.
  //-- Bit 1(PDC)=0 Power down modes are disabled.(stop2 and stop1)
  //-- Bit 0(PPDC)=0 (don't care case PDC clear)


 	 SPMSC2 = 0x30; //LVDV = 1, LVWV = 1 (high trip point for

  //--  System clock initialization

  //-- Bit 7(HGO)=0  oscillator for low-power operation
  //-- Bit 6(RANGE)=0 oscillator for low-frequency range; FLL prescale is 64
  //-- Bit 5(REFS)=1 Oscillator - crystal/resonator (in fact- bit is dont care)
  //-- Bits 4..3(CLKS)=01 FLL engaged, internal reference clock mode
  //-- Bit 2(OSCSTEN)=0 Disables the oscillator in stop modes
  //-- Bit 1(LOCD)=0 Loss-of-clock detection enabled
  //-- Bit 0=0 Unimplemented or reserved, always reads zero

   ICGC1 = 0x28; //-- 0010 1000

  //-- Bit 7 (LOLRE)=0   Generates an interrupt request on loss of lock
  //-- Bit 6..4(MFD)=101 Sets the MFD multiplication factor to 14
  //-- Bit 3(LOCRE)=0    Generates an interrupt request on loss of clock
  //-- Bit 2..0(RFD)=000 Sets the RFD division factor to 1

  //
  //Desired Fbus = 31.104 / 2 = 15.552 MHz
  //             14/1 == 31.104 MHz / (243/7 KHz * 64)

   ICGC2 = 0x50; //--0101 0000
   //-- ?????
   ICGTRM = 0x7F; //

   while(ICGS1_CLKST != ICGC1_CLKS); //

 //-------------------------------

   __asm   jmp _Startup ;               //-- Jump to C startup code

}

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

